# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: Mobile_Server_Protocol.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import common_pb2 as common__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='Mobile_Server_Protocol.proto',
  package='com.bartek.ccr.core',
  syntax='proto3',
  serialized_pb=_b('\n\x1cMobile_Server_Protocol.proto\x12\x13\x63om.bartek.ccr.core\x1a\x0c\x63ommon.proto\"\xd4\x04\n\x07\x43ommand\x12\x37\n\x0binitRequest\x18\x01 \x01(\x0b\x32 .com.bartek.ccr.core.InitRequestH\x00\x12\x39\n\x0cinitResponse\x18\x02 \x01(\x0b\x32!.com.bartek.ccr.core.InitResponseH\x00\x12+\n\x05image\x18\x03 \x01(\x0b\x32\x1a.com.bartek.ccr.core.ImageH\x00\x12;\n\rimageResponse\x18\x04 \x01(\x0b\x32\".com.bartek.ccr.core.ImageResponseH\x00\x12\x43\n\x11recognitionResult\x18\x05 \x01(\x0b\x32&.com.bartek.ccr.core.RecognitionResultH\x00\x12I\n\x14\x63haracterRateRequest\x18\x06 \x01(\x0b\x32).com.bartek.ccr.core.CharacterRateRequestH\x00\x12K\n\x15\x63haracterRateResponse\x18\x07 \x01(\x0b\x32*.com.bartek.ccr.core.CharacterRateResponseH\x00\x12\x41\n\x10translateRequest\x18\x08 \x01(\x0b\x32%.com.bartek.ccr.core.TranslateRequestH\x00\x12\x43\n\x11translateResponse\x18\t \x01(\x0b\x32&.com.bartek.ccr.core.TranslateResponseH\x00\x42\x06\n\x04type\"\r\n\x0bInitRequest\".\n\x0cInitResponse\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12\r\n\x05token\x18\x02 \x01(\t\"\x89\x01\n\x05Image\x12\r\n\x05token\x18\x01 \x01(\t\x12\x11\n\timageSize\x18\x02 \x01(\x03\x12\x13\n\x0bimageFormat\x18\x03 \x01(\t\x12\x10\n\x08hashCode\x18\x04 \x01(\t\x12(\n\x14recognitionRectangle\x18\x05 \x01(\x0b\x32\n.Rectangle\x12\r\n\x05image\x18\x06 \x01(\x0c\" \n\rImageResponse\x12\x0f\n\x07success\x18\x01 \x01(\x08\"\xc2\x01\n\x11RecognitionResult\x12\x43\n\tcharacter\x18\x01 \x03(\x0b\x32\x30.com.bartek.ccr.core.RecognitionResult.Character\x1ah\n\tCharacter\x12\r\n\x05index\x18\x01 \x01(\x05\x12\x11\n\tcharacter\x18\x02 \x01(\t\x12\x11\n\tcertainty\x18\x03 \x01(\x05\x12&\n\x12\x63haracterRectangle\x18\x04 \x01(\x0b\x32\n.Rectangle\"L\n\x14\x43haracterRateRequest\x12\r\n\x05token\x18\x01 \x01(\t\x12\x16\n\x0e\x63haracterIndex\x18\x02 \x01(\x03\x12\r\n\x05valid\x18\x03 \x01(\x08\"(\n\x15\x43haracterRateResponse\x12\x0f\n\x07success\x18\x01 \x01(\x08\"8\n\x10TranslateRequest\x12\x0c\n\x04text\x18\x01 \x01(\t\x12\x16\n\x0etargetLanguage\x18\x02 \x01(\t\"<\n\x11TranslateResponse\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12\x16\n\x0etranslatedText\x18\x02 \x01(\tb\x06proto3')
  ,
  dependencies=[common__pb2.DESCRIPTOR,])




_COMMAND = _descriptor.Descriptor(
  name='Command',
  full_name='com.bartek.ccr.core.Command',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='initRequest', full_name='com.bartek.ccr.core.Command.initRequest', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='initResponse', full_name='com.bartek.ccr.core.Command.initResponse', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='image', full_name='com.bartek.ccr.core.Command.image', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='imageResponse', full_name='com.bartek.ccr.core.Command.imageResponse', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='recognitionResult', full_name='com.bartek.ccr.core.Command.recognitionResult', index=4,
      number=5, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='characterRateRequest', full_name='com.bartek.ccr.core.Command.characterRateRequest', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='characterRateResponse', full_name='com.bartek.ccr.core.Command.characterRateResponse', index=6,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='translateRequest', full_name='com.bartek.ccr.core.Command.translateRequest', index=7,
      number=8, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='translateResponse', full_name='com.bartek.ccr.core.Command.translateResponse', index=8,
      number=9, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='type', full_name='com.bartek.ccr.core.Command.type',
      index=0, containing_type=None, fields=[]),
  ],
  serialized_start=68,
  serialized_end=664,
)


_INITREQUEST = _descriptor.Descriptor(
  name='InitRequest',
  full_name='com.bartek.ccr.core.InitRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=666,
  serialized_end=679,
)


_INITRESPONSE = _descriptor.Descriptor(
  name='InitResponse',
  full_name='com.bartek.ccr.core.InitResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='success', full_name='com.bartek.ccr.core.InitResponse.success', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='token', full_name='com.bartek.ccr.core.InitResponse.token', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=681,
  serialized_end=727,
)


_IMAGE = _descriptor.Descriptor(
  name='Image',
  full_name='com.bartek.ccr.core.Image',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='token', full_name='com.bartek.ccr.core.Image.token', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='imageSize', full_name='com.bartek.ccr.core.Image.imageSize', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='imageFormat', full_name='com.bartek.ccr.core.Image.imageFormat', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='hashCode', full_name='com.bartek.ccr.core.Image.hashCode', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='recognitionRectangle', full_name='com.bartek.ccr.core.Image.recognitionRectangle', index=4,
      number=5, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='image', full_name='com.bartek.ccr.core.Image.image', index=5,
      number=6, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=730,
  serialized_end=867,
)


_IMAGERESPONSE = _descriptor.Descriptor(
  name='ImageResponse',
  full_name='com.bartek.ccr.core.ImageResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='success', full_name='com.bartek.ccr.core.ImageResponse.success', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=869,
  serialized_end=901,
)


_RECOGNITIONRESULT_CHARACTER = _descriptor.Descriptor(
  name='Character',
  full_name='com.bartek.ccr.core.RecognitionResult.Character',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='index', full_name='com.bartek.ccr.core.RecognitionResult.Character.index', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='character', full_name='com.bartek.ccr.core.RecognitionResult.Character.character', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='certainty', full_name='com.bartek.ccr.core.RecognitionResult.Character.certainty', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='characterRectangle', full_name='com.bartek.ccr.core.RecognitionResult.Character.characterRectangle', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=994,
  serialized_end=1098,
)

_RECOGNITIONRESULT = _descriptor.Descriptor(
  name='RecognitionResult',
  full_name='com.bartek.ccr.core.RecognitionResult',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='character', full_name='com.bartek.ccr.core.RecognitionResult.character', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[_RECOGNITIONRESULT_CHARACTER, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=904,
  serialized_end=1098,
)


_CHARACTERRATEREQUEST = _descriptor.Descriptor(
  name='CharacterRateRequest',
  full_name='com.bartek.ccr.core.CharacterRateRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='token', full_name='com.bartek.ccr.core.CharacterRateRequest.token', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='characterIndex', full_name='com.bartek.ccr.core.CharacterRateRequest.characterIndex', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='valid', full_name='com.bartek.ccr.core.CharacterRateRequest.valid', index=2,
      number=3, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1100,
  serialized_end=1176,
)


_CHARACTERRATERESPONSE = _descriptor.Descriptor(
  name='CharacterRateResponse',
  full_name='com.bartek.ccr.core.CharacterRateResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='success', full_name='com.bartek.ccr.core.CharacterRateResponse.success', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1178,
  serialized_end=1218,
)


_TRANSLATEREQUEST = _descriptor.Descriptor(
  name='TranslateRequest',
  full_name='com.bartek.ccr.core.TranslateRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='text', full_name='com.bartek.ccr.core.TranslateRequest.text', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='targetLanguage', full_name='com.bartek.ccr.core.TranslateRequest.targetLanguage', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1220,
  serialized_end=1276,
)


_TRANSLATERESPONSE = _descriptor.Descriptor(
  name='TranslateResponse',
  full_name='com.bartek.ccr.core.TranslateResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='success', full_name='com.bartek.ccr.core.TranslateResponse.success', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='translatedText', full_name='com.bartek.ccr.core.TranslateResponse.translatedText', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1278,
  serialized_end=1338,
)

_COMMAND.fields_by_name['initRequest'].message_type = _INITREQUEST
_COMMAND.fields_by_name['initResponse'].message_type = _INITRESPONSE
_COMMAND.fields_by_name['image'].message_type = _IMAGE
_COMMAND.fields_by_name['imageResponse'].message_type = _IMAGERESPONSE
_COMMAND.fields_by_name['recognitionResult'].message_type = _RECOGNITIONRESULT
_COMMAND.fields_by_name['characterRateRequest'].message_type = _CHARACTERRATEREQUEST
_COMMAND.fields_by_name['characterRateResponse'].message_type = _CHARACTERRATERESPONSE
_COMMAND.fields_by_name['translateRequest'].message_type = _TRANSLATEREQUEST
_COMMAND.fields_by_name['translateResponse'].message_type = _TRANSLATERESPONSE
_COMMAND.oneofs_by_name['type'].fields.append(
  _COMMAND.fields_by_name['initRequest'])
_COMMAND.fields_by_name['initRequest'].containing_oneof = _COMMAND.oneofs_by_name['type']
_COMMAND.oneofs_by_name['type'].fields.append(
  _COMMAND.fields_by_name['initResponse'])
_COMMAND.fields_by_name['initResponse'].containing_oneof = _COMMAND.oneofs_by_name['type']
_COMMAND.oneofs_by_name['type'].fields.append(
  _COMMAND.fields_by_name['image'])
_COMMAND.fields_by_name['image'].containing_oneof = _COMMAND.oneofs_by_name['type']
_COMMAND.oneofs_by_name['type'].fields.append(
  _COMMAND.fields_by_name['imageResponse'])
_COMMAND.fields_by_name['imageResponse'].containing_oneof = _COMMAND.oneofs_by_name['type']
_COMMAND.oneofs_by_name['type'].fields.append(
  _COMMAND.fields_by_name['recognitionResult'])
_COMMAND.fields_by_name['recognitionResult'].containing_oneof = _COMMAND.oneofs_by_name['type']
_COMMAND.oneofs_by_name['type'].fields.append(
  _COMMAND.fields_by_name['characterRateRequest'])
_COMMAND.fields_by_name['characterRateRequest'].containing_oneof = _COMMAND.oneofs_by_name['type']
_COMMAND.oneofs_by_name['type'].fields.append(
  _COMMAND.fields_by_name['characterRateResponse'])
_COMMAND.fields_by_name['characterRateResponse'].containing_oneof = _COMMAND.oneofs_by_name['type']
_COMMAND.oneofs_by_name['type'].fields.append(
  _COMMAND.fields_by_name['translateRequest'])
_COMMAND.fields_by_name['translateRequest'].containing_oneof = _COMMAND.oneofs_by_name['type']
_COMMAND.oneofs_by_name['type'].fields.append(
  _COMMAND.fields_by_name['translateResponse'])
_COMMAND.fields_by_name['translateResponse'].containing_oneof = _COMMAND.oneofs_by_name['type']
_IMAGE.fields_by_name['recognitionRectangle'].message_type = common__pb2._RECTANGLE
_RECOGNITIONRESULT_CHARACTER.fields_by_name['characterRectangle'].message_type = common__pb2._RECTANGLE
_RECOGNITIONRESULT_CHARACTER.containing_type = _RECOGNITIONRESULT
_RECOGNITIONRESULT.fields_by_name['character'].message_type = _RECOGNITIONRESULT_CHARACTER
DESCRIPTOR.message_types_by_name['Command'] = _COMMAND
DESCRIPTOR.message_types_by_name['InitRequest'] = _INITREQUEST
DESCRIPTOR.message_types_by_name['InitResponse'] = _INITRESPONSE
DESCRIPTOR.message_types_by_name['Image'] = _IMAGE
DESCRIPTOR.message_types_by_name['ImageResponse'] = _IMAGERESPONSE
DESCRIPTOR.message_types_by_name['RecognitionResult'] = _RECOGNITIONRESULT
DESCRIPTOR.message_types_by_name['CharacterRateRequest'] = _CHARACTERRATEREQUEST
DESCRIPTOR.message_types_by_name['CharacterRateResponse'] = _CHARACTERRATERESPONSE
DESCRIPTOR.message_types_by_name['TranslateRequest'] = _TRANSLATEREQUEST
DESCRIPTOR.message_types_by_name['TranslateResponse'] = _TRANSLATERESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Command = _reflection.GeneratedProtocolMessageType('Command', (_message.Message,), dict(
  DESCRIPTOR = _COMMAND,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.Command)
  ))
_sym_db.RegisterMessage(Command)

InitRequest = _reflection.GeneratedProtocolMessageType('InitRequest', (_message.Message,), dict(
  DESCRIPTOR = _INITREQUEST,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.InitRequest)
  ))
_sym_db.RegisterMessage(InitRequest)

InitResponse = _reflection.GeneratedProtocolMessageType('InitResponse', (_message.Message,), dict(
  DESCRIPTOR = _INITRESPONSE,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.InitResponse)
  ))
_sym_db.RegisterMessage(InitResponse)

Image = _reflection.GeneratedProtocolMessageType('Image', (_message.Message,), dict(
  DESCRIPTOR = _IMAGE,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.Image)
  ))
_sym_db.RegisterMessage(Image)

ImageResponse = _reflection.GeneratedProtocolMessageType('ImageResponse', (_message.Message,), dict(
  DESCRIPTOR = _IMAGERESPONSE,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.ImageResponse)
  ))
_sym_db.RegisterMessage(ImageResponse)

RecognitionResult = _reflection.GeneratedProtocolMessageType('RecognitionResult', (_message.Message,), dict(

  Character = _reflection.GeneratedProtocolMessageType('Character', (_message.Message,), dict(
    DESCRIPTOR = _RECOGNITIONRESULT_CHARACTER,
    __module__ = 'Mobile_Server_Protocol_pb2'
    # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.RecognitionResult.Character)
    ))
  ,
  DESCRIPTOR = _RECOGNITIONRESULT,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.RecognitionResult)
  ))
_sym_db.RegisterMessage(RecognitionResult)
_sym_db.RegisterMessage(RecognitionResult.Character)

CharacterRateRequest = _reflection.GeneratedProtocolMessageType('CharacterRateRequest', (_message.Message,), dict(
  DESCRIPTOR = _CHARACTERRATEREQUEST,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.CharacterRateRequest)
  ))
_sym_db.RegisterMessage(CharacterRateRequest)

CharacterRateResponse = _reflection.GeneratedProtocolMessageType('CharacterRateResponse', (_message.Message,), dict(
  DESCRIPTOR = _CHARACTERRATERESPONSE,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.CharacterRateResponse)
  ))
_sym_db.RegisterMessage(CharacterRateResponse)

TranslateRequest = _reflection.GeneratedProtocolMessageType('TranslateRequest', (_message.Message,), dict(
  DESCRIPTOR = _TRANSLATEREQUEST,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.TranslateRequest)
  ))
_sym_db.RegisterMessage(TranslateRequest)

TranslateResponse = _reflection.GeneratedProtocolMessageType('TranslateResponse', (_message.Message,), dict(
  DESCRIPTOR = _TRANSLATERESPONSE,
  __module__ = 'Mobile_Server_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:com.bartek.ccr.core.TranslateResponse)
  ))
_sym_db.RegisterMessage(TranslateResponse)


# @@protoc_insertion_point(module_scope)
